LINUX.ORG.RU

amarok, konqueror


0

0

Такая проблема!
Установил на SUSE10 в дополнение к стандартному gcc:
(gcc version 4.0.2 20050901 (prerelease) (SUSE Linux)) gcc-3.4.5.
При установке параметр configure --program-suffix=-3.4.5, установил mplayer.
Но теперь при попытке запустить amarok или konqueror получаю сообщение
вроде этого:
amarokapp: /usr/local/lib/libstdc++.so.6: version `CXXABI_1.3.1' not found (required by /opt/kde3/lib/libkhtml.so.4)
Чтобы проветить делаю так:
/usr/local/lib/libstdc++.so.6 -> /usr/local/lib/libstdc++.so.6.0.3
Изменю линк /usr/local/lib/libstdc++.so.6 -> /usr/lib/libstdc++.so.6.0.6
Все работает! После перезагрузки таже фигня!
Проверяю линк
/usr/local/lib/libstdc++.so.6 -> /usr/local/lib/libstdc++.so.6.0.3
Как это НОРМАЛЬНЫМ СПОСОБОМ исправить или хотя бы запретить менять линк.
Спасибо!  


Re: amarok, konqueror

пропиши путь /usr/local/lib в /etc/ld.so.conf и не парься =)

зы не забудь сделать потом ldconfig

ale ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.